Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.FocusReason

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.FocusReason

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.FocusReason

extends java.lang.Enum
implements QtEnumerator

This enum specifies why the focus changed. It will be passed through `QWidget::setFocus` and can be retrieved in the `QFocusEvent` sent to the widget upon focus change.

See also:
  Keyboard Focus.

See Also:
  Serialized Form

Field Summary
`static Qt.FocusReason` | `ActiveWindowFocusReason` The window system made this window either active or inactive.
`static Qt.FocusReason` | `BacktabFocusReason` A Backtab occurred.
`static Qt.FocusReason` | `MenuBarFocusReason` The menu bar took focus.
`static Qt.FocusReason` | `MouseFocusReason` A mouse action occurred.
`static Qt.FocusReason` | `NoFocusReason`
`static Qt.FocusReason` | `OtherFocusReason` Another reason, usually application-specific.
`static Qt.FocusReason` | `PopupFocusReason` The application opened/closed a pop-up that grabbed/released the keyboard focus.
`static Qt.FocusReason` | `ShortcutFocusReason` The user typed a label's buddy shortcut
`static Qt.FocusReason` | `TabFocusReason` The Tab key was pressed.

Method Summary
`static Qt.FocusReason` | `resolve(int value)` Returns the FocusReason constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.FocusReason` | `valueOf(java.lang.String name)`
`static Qt.FocusReason[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MouseFocusReason

    public static final Qt.FocusReason MouseFocusReason

  A mouse action occurred.

### TabFocusReason

    public static final Qt.FocusReason TabFocusReason

  The Tab key was pressed.

### BacktabFocusReason

    public static final Qt.FocusReason BacktabFocusReason

  A Backtab occurred. The input for this may include the Shift or Control keys; e.g. Shift+Tab.

### ActiveWindowFocusReason

    public static final Qt.FocusReason ActiveWindowFocusReason

  The window system made this window either active or inactive.

### PopupFocusReason

    public static final Qt.FocusReason PopupFocusReason

  The application opened/closed a pop-up that grabbed/released the keyboard focus.

### ShortcutFocusReason

    public static final Qt.FocusReason ShortcutFocusReason

  The user typed a label's buddy shortcut

### MenuBarFocusReason

    public static final Qt.FocusReason MenuBarFocusReason

  The menu bar took focus.

### OtherFocusReason

    public static final Qt.FocusReason OtherFocusReason

  Another reason, usually application-specific.

### NoFocusReason

    public static final Qt.FocusReason NoFocusReason

Method Detail

### values

    public static Qt.FocusReason[] values()

### valueOf

    public static Qt.FocusReason valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.FocusReason resolve(int value)

  Returns the FocusReason constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD